﻿using RecrownedGTK.Graphics.UI.Modular.Modules.Interactive;

namespace RecrownedGTK.Graphics.UI.SkinSystem.Definitions
{
    /// <summary>
    /// Skin definition for a button.
    /// </summary>
    public class ButtonSkinDefinition : SkinDefinitionData
    {
        /// <summary>
        /// Names for the regions in the texture atlas respectively.
        /// </summary>
        public string upRegion, downRegion, disabledRegion, selectedRegion;

        /// <summary>
        /// Constructs the definition with minimum requirements.
        /// </summary>
        /// <param name="downRegion">Name of region specifying the texture shown for when the button is pressed down.</param>
        /// <param name="upRegion">Name of region specifying the texture shown for when the button is not pressed.</param>
        public ButtonSkinDefinition(string downRegion, string upRegion)
        {
            UIModuleType = typeof(Button);
            this.downRegion = downRegion;
            this.upRegion = upRegion;
        }

    }
}
